List topics events
GET
https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/events
Path Parameters
- topic-board-idstringrequiredExampleDescription
Responses
200
- topic-event[]
- topic_guidstringExampleDescription
- datestringExampleDescription
- authorstringExampleDescription
- actionsobject[]Description
- typestring<assigned_to_removed | assigned_to_updated | description_removed | description_updated | due_date_removed | due_date_updated | label_added | label_removed | priority_removed | priority_updated | status_updated | title_updated | topic_created | type_updated>ExampleDescription
- valuestringExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/events \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/events", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/events")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/events"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"topic_guid": "18d0273d-e15c-4924-97b3-6f47b233eebe",
"date": "2023-11-15T12:10:17.000+0000",
"author": "[email protected]",
"actions": [
{
"type": "title_updated",
"value": "629a9b4e36ac4e68a05aedbcb21f53c0"
}
]
}
]